// ----------------------------------------------------------------------------
// Copyright (C) 2018
//              David Freese, W1HKJ
//
// This file is part of pskmeter.
//
// pskmeter is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// pskmeter is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------

#include "pskscope.h"
#include "support.h"

Fl_Double_Window *pskscope_dialog;

int main(int argc, char *argv[])
{
	pskscope_dialog = mainwin();
	dlgAbout = newAboutDialog();

	initProgram((void *)argv[0]);

	pskscope_dialog->show();

	Fl::add_timeout(sampletime, cbSampleTimer);

	return Fl::run();
}
